@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 

@echo off
REM Usage: launchClient [<ear-file> | -help | -?]
setlocal

call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

set NAMING_FACTORY=com.ibm.websphere.naming.WsnInitialContextFactory

%JAVA_HOME%\bin\java %CONSOLE_ENCODING% %CLIENTSAS% -Dserver.root=%WAS_HOME% -Dws.ext.dirs=%WAS_EXT_DIRS% -Dcom.ibm.CORBA.BootstrapHost=%COMPUTERNAME% -Djava.naming.factory.initial=%NAMING_FACTORY% -classpath %WAS_CLASSPATH% com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.client.applicationclient.launchClient %*

endlocal


