@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 

@echo off
rem Revision: 1.0, 06/21/2001

call "%~dp0setupCmdLine.bat"

if "%2"=="" goto usage
set ORACLE_DBA=%1
set ORACLE_PASSWD=%2
set ORACLE_CONNECT_STRING=%3
goto start

:usage
echo "Usage: ImportSamplesOracle.bat <Oracle DBA userid> <Oracle DBA password> [@<Oracle connect string>]"
goto end

:start
@hostname > Samples.tmp
@for /f "tokens=1" %%h in (Samples.tmp) Do set HOSTNAME=%%h
@del Samples.tmp>nul
echo "Invoking database creation script..."
call OracleCreateSampleDB.bat %ORACLE_DBA% %ORACLE_PASSWD% %ORACLE_CONNECT_STRING%
echo "Install Samples.ear Enterprise Application"
call XMLConfig.bat -import ImportSamples.xml -adminNodeName %HOSTNAME% -substitute "was.install.root=%WAS_HOME%;server_root=%WAS_HOME%;com.ibm.ejs.sm.adminServer.primaryNode=%HOSTNAME%"
echo "Regenerate the plugin-cfg.xml file"
call GenPluginCfg.bat -adminNodeName %HOSTNAME%
echo ""
echo "Samples installation complete"
goto end

:end
