@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 

@echo off
rem Revision: 1.0, 06/21/2001

call "%~dp0setupCmdLine.bat"

set DB2USER=%1
set DB2PASSWD=%2
set DB2INSTANCE=%3
set LOG=%4

echo "Attaching to DB2..."
db2 -z%LOG% ATTACH TO %DB2INSTANCE% user %DB2USER% using %DB2PASSWD%
echo "Dropping the SAMPLE database..."
db2 -z%LOG% DROP DATABASE SAMPLE
echo "Creating the SAMPLE database..."
db2 -z%LOG% CREATE DATABASE SAMPLE
echo "Connecting to the SAMPLE database..."
db2 -z%LOG% CONNECT TO SAMPLE user "%DB2USER%" using "%DB2PASSWD%"
echo "Granting authorities on the SAMPLE database to the wsdemo user..."
db2 -z%LOG% GRANT CONNECT, CREATETAB ON DATABASE TO USER WSDEMO
echo "Disconnecting from the SAMPLE database..."
db2 -z%LOG% DISCONNECT CURRENT
exit
