puts "Starting DataSource 4.0.5 -> 4.0.1 conversion ..."
puts "Because DataSource passwords are encoded, you will be prompted for the password"
puts "of each DataSource to be converted."
set dss  [DataSource list]
foreach ds $dss {
  puts "Converting DataSource [lindex [lindex [DataSource show $ds -attribute FullName] 0] 1]"
  set cp [DataSource show $ds -attribute ConfigProperties]
  set props [lindex [lindex $cp 0] 1]
  set newprops []
  foreach prop $props {
     if {[catch {set key [lindex $prop 0]} res1]} { 
        # caught exception because password
        set key password
     }
     if {[string compare $key user] == 0} {
        puts "  :converting user [lindex $prop 1]" 
        set newuser [string range $prop 5 end]
        lappend newprops [list DefaultUser $newuser]
        set indx [lsearch $props $prop]
        set props [lreplace $props $indx $indx]
     }
     if {[string compare $key password] == 0} {
        puts "Please enter password for DataSource [lindex [lindex [DataSource show $ds -attribute FullName] 0] 1]"
        gets stdin newpw
        lappend newprops [list DefaultPassword $newpw]
        set indx [lsearch $props $prop]
        set props [lreplace $props $indx $indx]
     }
     if {[string compare $key databaseName] == 0} {
        puts "  :converting databaseName [lindex $prop 1]" 
        set newdbn [string range $prop 13 end]
        lappend newprops [list DatabaseName $newdbn]
        set indx [lsearch $props $prop]
        set props [lreplace $props $indx $indx]
     }
  }
  set oldprops $props
  lappend props [list RxJyBlob RxJyBlob1] 
  set cp [list [list ConfigProperties $props]]
  DataSource modify $ds -attribute $cp
  set cp [list [list ConfigProperties $oldprops]]
  DataSource modify $ds -attribute $cp
  DataSource modify $ds -attribute $newprops 
}
puts "Finished DataSource conversions"

